/*
 * $Id: PP4Exception.java,v 1.1 1999/08/09 11:56:47 gunterma Exp $
 * (History at end)
 */

/*
 * This file is part of the PPower4 software
 * Copyright (c) 1999  Klaus Guntermann/TU Darmstadt, FB 20, FG SP
 *
 * See the file COPYING in the top level directory for details.
 */

// This exception is raised by the handlers at runtime.

package de.tu_darmstadt.sp.pp4;

public class PP4Exception extends Exception {
    /**
     * Constructs a <code>PP4Exception</code> with no detail
     * message.
     */
    public PP4Exception() {
	super();
    }

    /**
     * Constructs an <code>PP4Exception</code> with the specified
     * detail message.
     * @param   s   the detail message.
     */
    public PP4Exception(String s) {
	super(s);
    }
  }

/*
 * $Log: PP4Exception.java,v $
 * Revision 1.1  1999/08/09 11:56:47  gunterma
 * initial checkin
 *
 */
