# $Id: project.mk,v 1.1 1999/08/09 11:53:18 gunterma Exp $
#----------------------------------------------------------------------

#
# Configuration setup for project PPower4.
#

#----------------------------------------------------------------------
# Project description:

# short id, used in file names
ProjectName := pp4

# descriptive title, mainly for JavaDoc
ProjectTitle := TUD/SP PPower4, the Pdf Presentation Post Processor

# short title, for JavaDoc too
ProjectShortTitle := PPower4


#----------------------------------------------------------------------
# Configurable options

# Java platform version to use
JavaVersion := 1.1.6

# define if JUnit testers are available in toplevel subdirectory 'junit'
#JUnitTests := true


# define the following variable if debug info should be generated?
DebugInfo := true

# additional classpath
# try the unpacked version before the installed complete jar
ProjectClassPath := ${HOME}/src/ppower4:/common/Java/lib/ppower4/pp4.jar

# link external references in API documentation to following API docs
JavaDocLinkURLs := file:/common/Java/lib/jdk-1.2.0/docs/api

# more JavaDoc2 options
JavaDocOptions := \
  -bottom '<i><font size=-1>Please send comments or bug reports to <a href="mailto:guntermann@iti.informatik.tu-darmstadt.de">guntermann@iti.informatik.tu-darmstadt.de</a></font></i>'
#----------------------------------------------------------------------
# $Log: project.mk,v $
# Revision 1.1  1999/08/09 11:53:18  gunterma
# initial checkin
#
#
